//
//  CommentView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 10/24/23.
//

import SwiftUI

struct CommentView: View {
    @State private var newComment = ""
    @State private var comments: [String] = []

    var body: some View {
        VStack {
            TopBarView()
            VStack {
                List {
                    ForEach(comments, id: \.self) { comment in
                        Text(comment)
                            .font(.custom("Inter", size: 17))
                            .fontWeight(.regular)
                    }
                }
                
                HStack {
                    TextField("Add a comment", text: $newComment)
                        .font(.custom("Inter", size: 17))
                        .fontWeight(.regular)
                        .padding()
                        .accentColor(CustomColor.myColor)
                    
                    Button(action: {
                        if !newComment.isEmpty {
                            comments.append(newComment)
                            newComment = ""
                        }
                    }) {
                        Image(systemName: "plus.circle.fill")
                            .resizable()
                            .frame(width: 24, height: 24)
                            .foregroundColor(CustomColor.myColor)
                    }
                }
            }
            .padding()
            .navigationTitle("Comments")
        }
    }
}

struct CommentView_Previews: PreviewProvider {
    static var previews: some View {
        CommentView()
    }
}

