//
//  LikeButtonView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 10/24/23.
//

import SwiftUI

struct LikeButtonView: View {
    @State private var isLiked = false
    
    var body: some View {
        Button(action: {
            isLiked.toggle()
        }) {
            HStack(spacing: 8) {
                Image(systemName: isLiked ? "heart.fill" : "heart")
                    .foregroundColor(CustomColor.myColor)
                Text(isLiked ? "Liked" : "Like")
                    .font(.custom("Inter", size: 14))
                    .fontWeight(.regular)
                    .foregroundColor(.black)
            }
        }
    }
    
    struct LikeButtonView_Previews: PreviewProvider {
        static var previews: some View {
            LikeButtonView()
        }
    }
}
