//
//  RoleSelectionView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 9/30/23.
//

import SwiftUI

struct RoleSelectionView: View {
    @AppStorage("selectedRole") private var selectedRole: String = "Pet Parent"
    @State private var navigateToHome = false
    
    var body: some View {
        NavigationView {
            VStack {
                Text("Select Your Role")
                    .font(.custom("Poppins-Bold", size: 20))
                    .padding()
                
                HStack {
                    Spacer()
                    Image("PetParent")
                        .resizable()
                        .frame(width: 70.0, height: 70.0)
                        .scaledToFit()
                    Spacer()
                        .frame(width: 100.0)
                    Image("PetSitter")
                        .resizable()
                        .frame(width: 70.0, height: 70.0)
                        .scaledToFit()
                    Spacer()
                }
                .padding()
                
                Picker("Role", selection: $selectedRole) {
                    Text("Pet Parent").tag("Pet Parent")
                    Text("Pet Sitter").tag("Caregiver")
                }
                .pickerStyle(SegmentedPickerStyle())
                .padding()
                
                NavigationLink(
                    destination: HomeView(selectedRole: selectedRole), // Pass the selected role
                    label: {
                        Text("Continue")
                            .font(.headline)
                            .foregroundColor(.white)
                            .padding()
                            .frame(width: 339, height: 47)
                            .background(CustomColor.myColor)
                            .cornerRadius(10)
                    }
                )
                
                Spacer()
            }
            .accentColor(CustomColor.myColor)
        }
    }
}

struct RoleSelectionView_Previews: PreviewProvider {
    static var previews: some View {
        RoleSelectionView()
    }
}


