//
//  MenuView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 10/8/23.
//

import SwiftUI

struct MenuView: View {
    @AppStorage("selectedRole") private var selectedRole: String = "Pet Parent"

    var body: some View {
        TabView {
            Group {
                HomeView(selectedRole: selectedRole)
                    .onReceive(NotificationCenter.default.publisher(for: Notification.Name("NavigateToHomeView"))) { notification in
                        if let selectedRole = notification.object as? String {
                            self.selectedRole = selectedRole
                        }
                    }
                .tabItem {
                    Label("Home", systemImage: "house.fill")
                }
                .tag(0)
            
                NavigationView {
                    PetProfilesView()
                }
                .tabItem {
                    Label("My Pets", systemImage: "pawprint.circle.fill")
                }
                
                NavigationView {
                    ChatView()
                }
                .tabItem {
                    Label("Inbox", systemImage: "message.fill")
                }
                
                NavigationView {
                    MoreView()
                }
                .tabItem {
                    Label("Settings", systemImage: "gearshape.fill")
                }
            }
            .toolbarBackground(.white, for: .tabBar)

        }
        .tint(CustomColor.myColor)

    }
}

struct MenuView_Previews: PreviewProvider {
    static var previews: some View {
        MenuView()
    }
}


