//
//  ScheduleManager.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 10/24/23.
//

import Foundation
import Combine

class ScheduleManager: ObservableObject {
    @Published var scheduleItems: [ScheduleItem] = []

    func updateScheduleItem(_ itemToUpdate: ScheduleItem, withTitle newTitle: String, andTime newTime: Date) {
        if let index = scheduleItems.firstIndex(where: { $0.id == itemToUpdate.id }) {
            scheduleItems[index].title = newTitle
            scheduleItems[index].time = newTime
        }
    }

    func removeScheduleItem(_ scheduleItem: ScheduleItem) {
        if let index = scheduleItems.firstIndex(where: { $0.id == scheduleItem.id }) {
            scheduleItems.remove(at: index)
        }
    }
}


