//
//  PetProfilesView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 9/30/23.
//

import SwiftUI

struct PetProfilesView: View {
    var body: some View {
            ScrollView {
                VStack {
                    HStack(spacing: 170) {
                        Text("My Pets")
                        NavigationLink(destination: EditProfileOne()) {
                            Image(systemName: "plus.circle.fill")
                                .padding(.trailing, 15.0)
                            .foregroundColor((CustomColor.myColor))}
                    }
                    .font(.system(size: 28, weight: .black, design: .rounded))
                    .multilineTextAlignment(.leading)
                    
                    HStack(spacing: 20) {
                        NavigationLink(destination: ProfileOne()) {
                            PetServiceView(title:"Burnley", icon: "Dog", bgColor: (CustomColor.myColor))
                        }
                        NavigationLink(destination: ToDoListView()){
                            PetServiceView(title: "Mr. Mister", icon: "CatTwo", bgColor: (CustomColor.myColor))
                        }
                    }
                    .padding(.top)
                    .padding(.horizontal, 25)
                }
                .padding(.top)
            }
        
    }
    
}

struct PetProfilesView_Previews: PreviewProvider {
    static var previews: some View {
        PetProfilesView()
    }
}

