//
//  PetServiceView.swift
//  OnLeash_Alpha50
//
//  Created by Jessica Sherrington on 10/7/23.
//

import SwiftUI

struct PetServiceView: View {
    var title: String
    var icon: String
    var bgColor: Color
    
    var body: some View {
        VStack {
            Image(icon)
                .font(.system(size: 50))
                .foregroundColor(bgColor)
                .padding(10)
            
            Text(title)
                .font(.headline)
                .foregroundColor(.black)
                .multilineTextAlignment(.center)
                .padding(.top, 10)
        }
        .frame(width: 150, height: 150)
        .background(Color.white)
        .cornerRadius(10)
        .shadow(radius: 3)
    }
}

struct PetServiceView_Previews: PreviewProvider {
    static var previews: some View {
        PetServiceView(title: "YourTitle", icon: "YourIcon", bgColor: Color.red)
    }
}
